import { __decorate } from 'tslib';
import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, APP_INITIALIZER, NgModule } from '@angular/core';
import { fromEvent } from 'rxjs';
import { CommonModule } from '@angular/common';
import { defineCustomElements } from '@biggive/components/loader';

/* eslint-disable */
/* tslint:disable */
const proxyInputs = (Cmp, inputs) => {
    const Prototype = Cmp.prototype;
    inputs.forEach((item) => {
        Object.defineProperty(Prototype, item, {
            get() {
                return this.el[item];
            },
            set(val) {
                this.z.runOutsideAngular(() => (this.el[item] = val));
            },
            /**
             * In the event that proxyInputs is called
             * multiple times re-defining these inputs
             * will cause an error to be thrown. As a result
             * we set configurable: true to indicate these
             * properties can be changed.
             */
            configurable: true,
        });
    });
};
const proxyMethods = (Cmp, methods) => {
    const Prototype = Cmp.prototype;
    methods.forEach((methodName) => {
        Prototype[methodName] = function () {
            const args = arguments;
            return this.z.runOutsideAngular(() => this.el[methodName].apply(this.el, args));
        };
    });
};
const proxyOutputs = (instance, el, events) => {
    events.forEach((eventName) => (instance[eventName] = fromEvent(el, eventName)));
};
const defineCustomElement = (tagName, customElement) => {
    if (customElement !== undefined && typeof customElements !== 'undefined' && !customElements.get(tagName)) {
        customElements.define(tagName, customElement);
    }
};
// tslint:disable-next-line: only-arrow-functions
function ProxyCmp(opts) {
    const decorator = function (cls) {
        const { defineCustomElementFn, inputs, methods } = opts;
        if (defineCustomElementFn !== undefined) {
            defineCustomElementFn();
        }
        if (inputs) {
            proxyInputs(cls, inputs);
        }
        if (methods) {
            proxyMethods(cls, methods);
        }
        return cls;
    };
    return decorator;
}

let BiggiveAccordion = class BiggiveAccordion {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveAccordion, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveAccordion, selector: "biggive-accordion", inputs: { headingColour: "headingColour", spaceBelow: "spaceBelow", textColour: "textColour" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveAccordion = __decorate([
    ProxyCmp({
        inputs: ['headingColour', 'spaceBelow', 'textColour']
    })
], BiggiveAccordion);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveAccordion, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-accordion',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['headingColour', 'spaceBelow', 'textColour'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveAccordionEntry = class BiggiveAccordionEntry {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveAccordionEntry, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveAccordionEntry, selector: "biggive-accordion-entry", inputs: { heading: "heading" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveAccordionEntry = __decorate([
    ProxyCmp({
        inputs: ['heading']
    })
], BiggiveAccordionEntry);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveAccordionEntry, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-accordion-entry',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['heading'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveArticleCard = class BiggiveArticleCard {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveArticleCard, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveArticleCard, selector: "biggive-article-card", inputs: { backgroundColour: "backgroundColour", backgroundImageUrl: "backgroundImageUrl", buttonColour: "buttonColour", buttonLabel: "buttonLabel", buttonUrl: "buttonUrl", clipBottomLeftCorner: "clipBottomLeftCorner", clipTopRightCorner: "clipTopRightCorner", date: "date", dateColour: "dateColour", image1AltText: "image1AltText", image1Url: "image1Url", image2AltText: "image2AltText", image2Url: "image2Url", imageLabel: "imageLabel", imageLabelColour: "imageLabelColour", mainImageAltText: "mainImageAltText", mainImageUrl: "mainImageUrl", mainTitle: "mainTitle", mainTitleColour: "mainTitleColour", slug: "slug", slugColour: "slugColour", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveArticleCard = __decorate([
    ProxyCmp({
        inputs: ['backgroundColour', 'backgroundImageUrl', 'buttonColour', 'buttonLabel', 'buttonUrl', 'clipBottomLeftCorner', 'clipTopRightCorner', 'date', 'dateColour', 'image1AltText', 'image1Url', 'image2AltText', 'image2Url', 'imageLabel', 'imageLabelColour', 'mainImageAltText', 'mainImageUrl', 'mainTitle', 'mainTitleColour', 'slug', 'slugColour', 'spaceBelow']
    })
], BiggiveArticleCard);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveArticleCard, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-article-card',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['backgroundColour', 'backgroundImageUrl', 'buttonColour', 'buttonLabel', 'buttonUrl', 'clipBottomLeftCorner', 'clipTopRightCorner', 'date', 'dateColour', 'image1AltText', 'image1Url', 'image2AltText', 'image2Url', 'imageLabel', 'imageLabelColour', 'mainImageAltText', 'mainImageUrl', 'mainTitle', 'mainTitleColour', 'slug', 'slugColour', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveBackToTop = class BiggiveBackToTop {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveBackToTop, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveBackToTop, selector: "biggive-back-to-top", ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveBackToTop = __decorate([
    ProxyCmp({})
], BiggiveBackToTop);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveBackToTop, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-back-to-top',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: [],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveBasicCard = class BiggiveBasicCard {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveBasicCard, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveBasicCard, selector: "biggive-basic-card", inputs: { addAnimation: "addAnimation", author: "author", backgroundColour: "backgroundColour", backgroundImageUrl: "backgroundImageUrl", buttonAlign: "buttonAlign", buttonColourScheme: "buttonColourScheme", buttonLabel: "buttonLabel", buttonStyle: "buttonStyle", buttonUrl: "buttonUrl", cardColour: "cardColour", clipBottomLeftCorner: "clipBottomLeftCorner", clipTopRightCorner: "clipTopRightCorner", date: "date", headingLevel: "headingLevel", icon: "icon", iconColour: "iconColour", mainImageAltText: "mainImageAltText", mainImageUrl: "mainImageUrl", mainTitle: "mainTitle", siteDesign: "siteDesign", spaceBelow: "spaceBelow", subtitle: "subtitle", teaser: "teaser", textColour: "textColour" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveBasicCard = __decorate([
    ProxyCmp({
        inputs: ['addAnimation', 'author', 'backgroundColour', 'backgroundImageUrl', 'buttonAlign', 'buttonColourScheme', 'buttonLabel', 'buttonStyle', 'buttonUrl', 'cardColour', 'clipBottomLeftCorner', 'clipTopRightCorner', 'date', 'headingLevel', 'icon', 'iconColour', 'mainImageAltText', 'mainImageUrl', 'mainTitle', 'siteDesign', 'spaceBelow', 'subtitle', 'teaser', 'textColour']
    })
], BiggiveBasicCard);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveBasicCard, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-basic-card',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['addAnimation', 'author', 'backgroundColour', 'backgroundImageUrl', 'buttonAlign', 'buttonColourScheme', 'buttonLabel', 'buttonStyle', 'buttonUrl', 'cardColour', 'clipBottomLeftCorner', 'clipTopRightCorner', 'date', 'headingLevel', 'icon', 'iconColour', 'mainImageAltText', 'mainImageUrl', 'mainTitle', 'siteDesign', 'spaceBelow', 'subtitle', 'teaser', 'textColour'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveBiographyCard = class BiggiveBiographyCard {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveBiographyCard, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveBiographyCard, selector: "biggive-biography-card", inputs: { backgroundColour: "backgroundColour", borderWidth: "borderWidth", circle: "circle", circleColour: "circleColour", fullName: "fullName", imageStyle: "imageStyle", imageUrl: "imageUrl", jobTitle: "jobTitle", ratio: "ratio", rounded: "rounded", spaceBelow: "spaceBelow", textAlign: "textAlign", textColour: "textColour", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveBiographyCard = __decorate([
    ProxyCmp({
        inputs: ['backgroundColour', 'borderWidth', 'circle', 'circleColour', 'fullName', 'imageStyle', 'imageUrl', 'jobTitle', 'ratio', 'rounded', 'spaceBelow', 'textAlign', 'textColour', 'url']
    })
], BiggiveBiographyCard);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveBiographyCard, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-biography-card',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['backgroundColour', 'borderWidth', 'circle', 'circleColour', 'fullName', 'imageStyle', 'imageUrl', 'jobTitle', 'ratio', 'rounded', 'spaceBelow', 'textAlign', 'textColour', 'url'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveBoxedContent = class BiggiveBoxedContent {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveBoxedContent, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveBoxedContent, selector: "biggive-boxed-content", inputs: { backgroundColour: "backgroundColour", horizontalPadding: "horizontalPadding", shadow: "shadow", spaceBelow: "spaceBelow", verticalPadding: "verticalPadding" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveBoxedContent = __decorate([
    ProxyCmp({
        inputs: ['backgroundColour', 'horizontalPadding', 'shadow', 'spaceBelow', 'verticalPadding']
    })
], BiggiveBoxedContent);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveBoxedContent, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-boxed-content',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['backgroundColour', 'horizontalPadding', 'shadow', 'spaceBelow', 'verticalPadding'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveBrandedImage = class BiggiveBrandedImage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveBrandedImage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveBrandedImage, selector: "biggive-branded-image", inputs: { charityLocation: "charityLocation", charityName: "charityName", charityUrl: "charityUrl", imageUrl: "imageUrl", logoUrl: "logoUrl", slug: "slug", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveBrandedImage = __decorate([
    ProxyCmp({
        inputs: ['charityLocation', 'charityName', 'charityUrl', 'imageUrl', 'logoUrl', 'slug', 'spaceBelow']
    })
], BiggiveBrandedImage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveBrandedImage, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-branded-image',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['charityLocation', 'charityName', 'charityUrl', 'imageUrl', 'logoUrl', 'slug', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveButton = class BiggiveButton {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['doButtonClick']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveButton, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveButton, selector: "biggive-button", inputs: { buttonId: "buttonId", centered: "centered", colourScheme: "colourScheme", disabled: "disabled", fullWidth: "fullWidth", label: "label", openInNewTab: "openInNewTab", rounded: "rounded", siteDesign: "siteDesign", size: "size", spaceBelow: "spaceBelow", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveButton = __decorate([
    ProxyCmp({
        inputs: ['buttonId', 'centered', 'colourScheme', 'disabled', 'fullWidth', 'label', 'openInNewTab', 'rounded', 'siteDesign', 'size', 'spaceBelow', 'url']
    })
], BiggiveButton);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-button',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['buttonId', 'centered', 'colourScheme', 'disabled', 'fullWidth', 'label', 'openInNewTab', 'rounded', 'siteDesign', 'size', 'spaceBelow', 'url'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveCallToAction = class BiggiveCallToAction {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveCallToAction, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveCallToAction, selector: "biggive-call-to-action", inputs: { defaultTextColour: "defaultTextColour", mainTitle: "mainTitle", mainTitleColour: "mainTitleColour", mainTitleSize: "mainTitleSize", primaryButtonColourScheme: "primaryButtonColourScheme", primaryButtonLabel: "primaryButtonLabel", primaryButtonUrl: "primaryButtonUrl", secondaryButtonColourScheme: "secondaryButtonColourScheme", secondaryButtonLabel: "secondaryButtonLabel", secondaryButtonUrl: "secondaryButtonUrl", slug: "slug", slugColour: "slugColour", slugSize: "slugSize", spaceAbove: "spaceAbove", spaceBelow: "spaceBelow", subtitle: "subtitle", subtitleColour: "subtitleColour", subtitleSize: "subtitleSize", teaser: "teaser", teaserColour: "teaserColour" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveCallToAction = __decorate([
    ProxyCmp({
        inputs: ['defaultTextColour', 'mainTitle', 'mainTitleColour', 'mainTitleSize', 'primaryButtonColourScheme', 'primaryButtonLabel', 'primaryButtonUrl', 'secondaryButtonColourScheme', 'secondaryButtonLabel', 'secondaryButtonUrl', 'slug', 'slugColour', 'slugSize', 'spaceAbove', 'spaceBelow', 'subtitle', 'subtitleColour', 'subtitleSize', 'teaser', 'teaserColour']
    })
], BiggiveCallToAction);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveCallToAction, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-call-to-action',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['defaultTextColour', 'mainTitle', 'mainTitleColour', 'mainTitleSize', 'primaryButtonColourScheme', 'primaryButtonLabel', 'primaryButtonUrl', 'secondaryButtonColourScheme', 'secondaryButtonLabel', 'secondaryButtonUrl', 'slug', 'slugColour', 'slugSize', 'spaceAbove', 'spaceBelow', 'subtitle', 'subtitleColour', 'subtitleSize', 'teaser', 'teaserColour'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveCampaignCard = class BiggiveCampaignCard {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['doCardGeneralClick']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveCampaignCard, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveCampaignCard, selector: "biggive-campaign-card", inputs: { banner: "banner", campaignTitle: "campaignTitle", campaignType: "campaignType", datetime: "datetime", donateButtonColourScheme: "donateButtonColourScheme", donateButtonLabel: "donateButtonLabel", donateButtonUrl: "donateButtonUrl", isFutureCampaign: "isFutureCampaign", isPastCampaign: "isPastCampaign", moreInfoButtonColourScheme: "moreInfoButtonColourScheme", moreInfoButtonLabel: "moreInfoButtonLabel", moreInfoButtonUrl: "moreInfoButtonUrl", organisationName: "organisationName", primaryFigureAmount: "primaryFigureAmount", primaryFigureLabel: "primaryFigureLabel", progressBarCounter: "progressBarCounter", secondaryFigureAmount: "secondaryFigureAmount", secondaryFigureLabel: "secondaryFigureLabel", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveCampaignCard = __decorate([
    ProxyCmp({
        inputs: ['banner', 'campaignTitle', 'campaignType', 'datetime', 'donateButtonColourScheme', 'donateButtonLabel', 'donateButtonUrl', 'isFutureCampaign', 'isPastCampaign', 'moreInfoButtonColourScheme', 'moreInfoButtonLabel', 'moreInfoButtonUrl', 'organisationName', 'primaryFigureAmount', 'primaryFigureLabel', 'progressBarCounter', 'secondaryFigureAmount', 'secondaryFigureLabel', 'spaceBelow']
    })
], BiggiveCampaignCard);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveCampaignCard, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-campaign-card',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['banner', 'campaignTitle', 'campaignType', 'datetime', 'donateButtonColourScheme', 'donateButtonLabel', 'donateButtonUrl', 'isFutureCampaign', 'isPastCampaign', 'moreInfoButtonColourScheme', 'moreInfoButtonLabel', 'moreInfoButtonUrl', 'organisationName', 'primaryFigureAmount', 'primaryFigureLabel', 'progressBarCounter', 'secondaryFigureAmount', 'secondaryFigureLabel', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveCampaignCardFilterGrid = class BiggiveCampaignCardFilterGrid {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['doSearchAndFilterUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveCampaignCardFilterGrid, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveCampaignCardFilterGrid, selector: "biggive-campaign-card-filter-grid", inputs: { beneficiaryOptions: "beneficiaryOptions", buttonText: "buttonText", categoryOptions: "categoryOptions", intro: "intro", locationOptions: "locationOptions", placeholderText: "placeholderText", searchText: "searchText", selectedFilterBeneficiary: "selectedFilterBeneficiary", selectedFilterCategory: "selectedFilterCategory", selectedFilterLocation: "selectedFilterLocation", selectedSortByOption: "selectedSortByOption", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveCampaignCardFilterGrid = __decorate([
    ProxyCmp({
        inputs: ['beneficiaryOptions', 'buttonText', 'categoryOptions', 'intro', 'locationOptions', 'placeholderText', 'searchText', 'selectedFilterBeneficiary', 'selectedFilterCategory', 'selectedFilterLocation', 'selectedSortByOption', 'spaceBelow'],
        methods: ['unfocusInputs']
    })
], BiggiveCampaignCardFilterGrid);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveCampaignCardFilterGrid, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-campaign-card-filter-grid',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['beneficiaryOptions', 'buttonText', 'categoryOptions', 'intro', 'locationOptions', 'placeholderText', 'searchText', 'selectedFilterBeneficiary', 'selectedFilterCategory', 'selectedFilterLocation', 'selectedSortByOption', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveCampaignHighlights = class BiggiveCampaignHighlights {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveCampaignHighlights, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveCampaignHighlights, selector: "biggive-campaign-highlights", inputs: { banner: "banner", campaignTitle: "campaignTitle", championName: "championName", championUrl: "championUrl", primaryFigureAmount: "primaryFigureAmount", primaryFigureLabel: "primaryFigureLabel", primaryStatIcon: "primaryStatIcon", primaryStatText: "primaryStatText", progressBarCounter: "progressBarCounter", secondaryFigureAmount: "secondaryFigureAmount", secondaryFigureLabel: "secondaryFigureLabel", secondaryStatIcon: "secondaryStatIcon", secondaryStatText: "secondaryStatText", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveCampaignHighlights = __decorate([
    ProxyCmp({
        inputs: ['banner', 'campaignTitle', 'championName', 'championUrl', 'primaryFigureAmount', 'primaryFigureLabel', 'primaryStatIcon', 'primaryStatText', 'progressBarCounter', 'secondaryFigureAmount', 'secondaryFigureLabel', 'secondaryStatIcon', 'secondaryStatText', 'spaceBelow']
    })
], BiggiveCampaignHighlights);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveCampaignHighlights, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-campaign-highlights',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['banner', 'campaignTitle', 'championName', 'championUrl', 'primaryFigureAmount', 'primaryFigureLabel', 'primaryStatIcon', 'primaryStatText', 'progressBarCounter', 'secondaryFigureAmount', 'secondaryFigureLabel', 'secondaryStatIcon', 'secondaryStatText', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveContainerCard = class BiggiveContainerCard {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveContainerCard, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveContainerCard, selector: "biggive-container-card", inputs: { backgroundColour: "backgroundColour", backgroundImageUrl: "backgroundImageUrl", cardColour: "cardColour", clipBottomLeftCorner: "clipBottomLeftCorner", clipTopRightCorner: "clipTopRightCorner", headingLevel: "headingLevel", spaceBelow: "spaceBelow", textColour: "textColour" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveContainerCard = __decorate([
    ProxyCmp({
        inputs: ['backgroundColour', 'backgroundImageUrl', 'cardColour', 'clipBottomLeftCorner', 'clipTopRightCorner', 'headingLevel', 'spaceBelow', 'textColour']
    })
], BiggiveContainerCard);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveContainerCard, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-container-card',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['backgroundColour', 'backgroundImageUrl', 'cardColour', 'clipBottomLeftCorner', 'clipTopRightCorner', 'headingLevel', 'spaceBelow', 'textColour'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveCookieBanner = class BiggiveCookieBanner {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['preferenceModalClosed', 'cookieBannerAcceptAllSelected', 'cookieBannerSavePreferencesSelected']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveCookieBanner, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveCookieBanner, selector: "biggive-cookie-banner", inputs: { autoOpenPreferences: "autoOpenPreferences", blogUriPrefix: "blogUriPrefix", previouslyAgreedCookiePreferences: "previouslyAgreedCookiePreferences" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveCookieBanner = __decorate([
    ProxyCmp({
        inputs: ['autoOpenPreferences', 'blogUriPrefix', 'previouslyAgreedCookiePreferences']
    })
], BiggiveCookieBanner);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveCookieBanner, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-cookie-banner',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['autoOpenPreferences', 'blogUriPrefix', 'previouslyAgreedCookiePreferences'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveFooter = class BiggiveFooter {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveFooter, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveFooter, selector: "biggive-footer", inputs: { blogUrlPrefix: "blogUrlPrefix", donateUrlPrefix: "donateUrlPrefix", experienceUrlPrefix: "experienceUrlPrefix", headingLevel: "headingLevel", smallCharityWeekEnabled: "smallCharityWeekEnabled", usePresetFooter: "usePresetFooter" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveFooter = __decorate([
    ProxyCmp({
        inputs: ['blogUrlPrefix', 'donateUrlPrefix', 'experienceUrlPrefix', 'headingLevel', 'smallCharityWeekEnabled', 'usePresetFooter']
    })
], BiggiveFooter);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveFooter, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-footer',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['blogUrlPrefix', 'donateUrlPrefix', 'experienceUrlPrefix', 'headingLevel', 'smallCharityWeekEnabled', 'usePresetFooter'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveForm = class BiggiveForm {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveForm, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveForm, selector: "biggive-form", ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveForm = __decorate([
    ProxyCmp({})
], BiggiveForm);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveForm, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-form',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: [],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveFormFieldSelect = class BiggiveFormFieldSelect {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveFormFieldSelect, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveFormFieldSelect, selector: "biggive-form-field-select", inputs: { backgroundColour: "backgroundColour", options: "options", placeholder: "placeholder", prompt: "prompt", selectElementId: "selectElementId", selectStyle: "selectStyle", selectedLabel: "selectedLabel", selectedOptionColour: "selectedOptionColour", selectedValue: "selectedValue", selectionChanged: "selectionChanged", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveFormFieldSelect = __decorate([
    ProxyCmp({
        inputs: ['backgroundColour', 'options', 'placeholder', 'prompt', 'selectElementId', 'selectStyle', 'selectedLabel', 'selectedOptionColour', 'selectedValue', 'selectionChanged', 'spaceBelow']
    })
], BiggiveFormFieldSelect);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveFormFieldSelect, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-form-field-select',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['backgroundColour', 'options', 'placeholder', 'prompt', 'selectElementId', 'selectStyle', 'selectedLabel', 'selectedOptionColour', 'selectedValue', 'selectionChanged', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveFormattedText = class BiggiveFormattedText {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveFormattedText, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveFormattedText, selector: "biggive-formatted-text", inputs: { defaultTextColour: "defaultTextColour", maxWidth: "maxWidth", siteDesign: "siteDesign", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveFormattedText = __decorate([
    ProxyCmp({
        inputs: ['defaultTextColour', 'maxWidth', 'siteDesign', 'spaceBelow']
    })
], BiggiveFormattedText);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveFormattedText, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-formatted-text',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['defaultTextColour', 'maxWidth', 'siteDesign', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveGrid = class BiggiveGrid {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveGrid, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveGrid, selector: "biggive-grid", inputs: { columnCount: "columnCount", columnGap: "columnGap", spaceBelow: "spaceBelow", spaceBetween: "spaceBetween" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveGrid = __decorate([
    ProxyCmp({
        inputs: ['columnCount', 'columnGap', 'spaceBelow', 'spaceBetween']
    })
], BiggiveGrid);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveGrid, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-grid',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['columnCount', 'columnGap', 'spaceBelow', 'spaceBetween'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveHeading = class BiggiveHeading {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveHeading, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveHeading, selector: "biggive-heading", inputs: { align: "align", colour: "colour", htmlElement: "htmlElement", icon: "icon", iconColour: "iconColour", siteDesign: "siteDesign", size: "size", spaceAbove: "spaceAbove", spaceBelow: "spaceBelow", text: "text" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveHeading = __decorate([
    ProxyCmp({
        inputs: ['align', 'colour', 'htmlElement', 'icon', 'iconColour', 'siteDesign', 'size', 'spaceAbove', 'spaceBelow', 'text']
    })
], BiggiveHeading);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveHeading, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-heading',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['align', 'colour', 'htmlElement', 'icon', 'iconColour', 'siteDesign', 'size', 'spaceAbove', 'spaceBelow', 'text'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveHeroImage = class BiggiveHeroImage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveHeroImage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveHeroImage, selector: "biggive-hero-image", inputs: { buttonColourScheme: "buttonColourScheme", buttonLabel: "buttonLabel", buttonUrl: "buttonUrl", colourScheme: "colourScheme", logo: "logo", logoAltText: "logoAltText", logoHeight: "logoHeight", mainImage: "mainImage", mainImageAlignHorizontal: "mainImageAlignHorizontal", mainImageAlignVertical: "mainImageAlignVertical", mainImageShape: "mainImageShape", mainTitle: "mainTitle", mainTitleColour: "mainTitleColour", slug: "slug", slugColour: "slugColour", spaceBelow: "spaceBelow", teaser: "teaser", teaserColour: "teaserColour" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveHeroImage = __decorate([
    ProxyCmp({
        inputs: ['buttonColourScheme', 'buttonLabel', 'buttonUrl', 'colourScheme', 'logo', 'logoAltText', 'logoHeight', 'mainImage', 'mainImageAlignHorizontal', 'mainImageAlignVertical', 'mainImageShape', 'mainTitle', 'mainTitleColour', 'slug', 'slugColour', 'spaceBelow', 'teaser', 'teaserColour']
    })
], BiggiveHeroImage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveHeroImage, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-hero-image',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['buttonColourScheme', 'buttonLabel', 'buttonUrl', 'colourScheme', 'logo', 'logoAltText', 'logoHeight', 'mainImage', 'mainImageAlignHorizontal', 'mainImageAlignVertical', 'mainImageShape', 'mainTitle', 'mainTitleColour', 'slug', 'slugColour', 'spaceBelow', 'teaser', 'teaserColour'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveIconButton = class BiggiveIconButton {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['doButtonClick']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveIconButton, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveIconButton, selector: "biggive-icon-button", inputs: { arrow: "arrow", arrowColour: "arrowColour", backgroundColour: "backgroundColour", backgroundPadding: "backgroundPadding", buttonId: "buttonId", centered: "centered", circle: "circle", icon: "icon", openInNewTab: "openInNewTab", rounded: "rounded", shadow: "shadow", size: "size", spaceBelow: "spaceBelow", text: "text", textColour: "textColour", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveIconButton = __decorate([
    ProxyCmp({
        inputs: ['arrow', 'arrowColour', 'backgroundColour', 'backgroundPadding', 'buttonId', 'centered', 'circle', 'icon', 'openInNewTab', 'rounded', 'shadow', 'size', 'spaceBelow', 'text', 'textColour', 'url']
    })
], BiggiveIconButton);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveIconButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-icon-button',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['arrow', 'arrowColour', 'backgroundColour', 'backgroundPadding', 'buttonId', 'centered', 'circle', 'icon', 'openInNewTab', 'rounded', 'shadow', 'size', 'spaceBelow', 'text', 'textColour', 'url'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveImage = class BiggiveImage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveImage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveImage, selector: "biggive-image", inputs: { height: "height", imageAltText: "imageAltText", imageUrl: "imageUrl", sizeUnit: "sizeUnit", spaceAbove: "spaceAbove", spaceBelow: "spaceBelow", width: "width" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveImage = __decorate([
    ProxyCmp({
        inputs: ['height', 'imageAltText', 'imageUrl', 'sizeUnit', 'spaceAbove', 'spaceBelow', 'width']
    })
], BiggiveImage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveImage, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-image',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['height', 'imageAltText', 'imageUrl', 'sizeUnit', 'spaceAbove', 'spaceBelow', 'width'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveImageButton = class BiggiveImageButton {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['doButtonClick']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveImageButton, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveImageButton, selector: "biggive-image-button", inputs: { arrow: "arrow", arrowColour: "arrowColour", backgroundColour: "backgroundColour", backgroundPadding: "backgroundPadding", buttonId: "buttonId", centered: "centered", circle: "circle", imageStyle: "imageStyle", imageUrl: "imageUrl", openInNewTab: "openInNewTab", rounded: "rounded", shadow: "shadow", size: "size", spaceBelow: "spaceBelow", text: "text", textColour: "textColour", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveImageButton = __decorate([
    ProxyCmp({
        inputs: ['arrow', 'arrowColour', 'backgroundColour', 'backgroundPadding', 'buttonId', 'centered', 'circle', 'imageStyle', 'imageUrl', 'openInNewTab', 'rounded', 'shadow', 'size', 'spaceBelow', 'text', 'textColour', 'url']
    })
], BiggiveImageButton);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveImageButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-image-button',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['arrow', 'arrowColour', 'backgroundColour', 'backgroundPadding', 'buttonId', 'centered', 'circle', 'imageStyle', 'imageUrl', 'openInNewTab', 'rounded', 'shadow', 'size', 'spaceBelow', 'text', 'textColour', 'url'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveImageCard = class BiggiveImageCard {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveImageCard, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveImageCard, selector: "biggive-image-card", inputs: { addAnimation: "addAnimation", backgroundColour: "backgroundColour", buttonAlign: "buttonAlign", buttonColourScheme: "buttonColourScheme", buttonLabel: "buttonLabel", buttonStyle: "buttonStyle", buttonUrl: "buttonUrl", clipBottomLeftCorner: "clipBottomLeftCorner", clipTopRightCorner: "clipTopRightCorner", mainImageAltText: "mainImageAltText", mainImageUrl: "mainImageUrl", spaceBelow: "spaceBelow", teaser: "teaser", teaserColour: "teaserColour", textAlign: "textAlign" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveImageCard = __decorate([
    ProxyCmp({
        inputs: ['addAnimation', 'backgroundColour', 'buttonAlign', 'buttonColourScheme', 'buttonLabel', 'buttonStyle', 'buttonUrl', 'clipBottomLeftCorner', 'clipTopRightCorner', 'mainImageAltText', 'mainImageUrl', 'spaceBelow', 'teaser', 'teaserColour', 'textAlign']
    })
], BiggiveImageCard);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveImageCard, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-image-card',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['addAnimation', 'backgroundColour', 'buttonAlign', 'buttonColourScheme', 'buttonLabel', 'buttonStyle', 'buttonUrl', 'clipBottomLeftCorner', 'clipTopRightCorner', 'mainImageAltText', 'mainImageUrl', 'spaceBelow', 'teaser', 'teaserColour', 'textAlign'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveImageFeature = class BiggiveImageFeature {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveImageFeature, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveImageFeature, selector: "biggive-image-feature", inputs: { buttonColourScheme: "buttonColourScheme", buttonLabel: "buttonLabel", buttonUrl: "buttonUrl", defaultTextColour: "defaultTextColour", imageAltText: "imageAltText", imageUrl: "imageUrl", mainTitle: "mainTitle", mainTitleColour: "mainTitleColour", slug: "slug", slugColour: "slugColour", spaceBelow: "spaceBelow", teaser: "teaser", teaserColour: "teaserColour" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveImageFeature = __decorate([
    ProxyCmp({
        inputs: ['buttonColourScheme', 'buttonLabel', 'buttonUrl', 'defaultTextColour', 'imageAltText', 'imageUrl', 'mainTitle', 'mainTitleColour', 'slug', 'slugColour', 'spaceBelow', 'teaser', 'teaserColour']
    })
], BiggiveImageFeature);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveImageFeature, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-image-feature',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['buttonColourScheme', 'buttonLabel', 'buttonUrl', 'defaultTextColour', 'imageAltText', 'imageUrl', 'mainTitle', 'mainTitleColour', 'slug', 'slugColour', 'spaceBelow', 'teaser', 'teaserColour'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveMainMenu = class BiggiveMainMenu {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['logoutClicked']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveMainMenu, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveMainMenu, selector: "biggive-main-menu", inputs: { blogUrlPrefix: "blogUrlPrefix", donateUrlPrefix: "donateUrlPrefix", experienceUrlPrefix: "experienceUrlPrefix", isLoggedIn: "isLoggedIn", smallCharityWeekEnabled: "smallCharityWeekEnabled", someCampaignHasHomePageRedirect: "someCampaignHasHomePageRedirect" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveMainMenu = __decorate([
    ProxyCmp({
        inputs: ['blogUrlPrefix', 'donateUrlPrefix', 'experienceUrlPrefix', 'isLoggedIn', 'smallCharityWeekEnabled', 'someCampaignHasHomePageRedirect'],
        methods: ['closeMobileMenuFromOutside']
    })
], BiggiveMainMenu);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveMainMenu, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-main-menu',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['blogUrlPrefix', 'donateUrlPrefix', 'experienceUrlPrefix', 'isLoggedIn', 'smallCharityWeekEnabled', 'someCampaignHasHomePageRedirect'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveMiscIcon = class BiggiveMiscIcon {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveMiscIcon, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveMiscIcon, selector: "biggive-misc-icon", inputs: { backgroundColour: "backgroundColour", icon: "icon", iconColour: "iconColour", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveMiscIcon = __decorate([
    ProxyCmp({
        inputs: ['backgroundColour', 'icon', 'iconColour', 'url']
    })
], BiggiveMiscIcon);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveMiscIcon, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-misc-icon',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['backgroundColour', 'icon', 'iconColour', 'url'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveNavGroup = class BiggiveNavGroup {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveNavGroup, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveNavGroup, selector: "biggive-nav-group", inputs: { inline: "inline" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveNavGroup = __decorate([
    ProxyCmp({
        inputs: ['inline']
    })
], BiggiveNavGroup);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveNavGroup, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-nav-group',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['inline'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveNavItem = class BiggiveNavItem {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveNavItem, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveNavItem, selector: "biggive-nav-item", inputs: { iconColour: "iconColour", label: "label", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveNavItem = __decorate([
    ProxyCmp({
        inputs: ['iconColour', 'label', 'url']
    })
], BiggiveNavItem);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveNavItem, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-nav-item',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconColour', 'label', 'url'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggivePageColumn = class BiggivePageColumn {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggivePageColumn, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggivePageColumn, selector: "biggive-page-column", ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggivePageColumn = __decorate([
    ProxyCmp({})
], BiggivePageColumn);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggivePageColumn, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-page-column',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: [],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggivePageColumns = class BiggivePageColumns {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggivePageColumns, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggivePageColumns, selector: "biggive-page-columns", inputs: { spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggivePageColumns = __decorate([
    ProxyCmp({
        inputs: ['spaceBelow']
    })
], BiggivePageColumns);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggivePageColumns, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-page-columns',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggivePageSection = class BiggivePageSection {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggivePageSection, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggivePageSection, selector: "biggive-page-section", inputs: { colourScheme: "colourScheme", maxWidth: "maxWidth", primaryFullBleed: "primaryFullBleed", sectionStyleBottom: "sectionStyleBottom", sectionStyleTop: "sectionStyleTop", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggivePageSection = __decorate([
    ProxyCmp({
        inputs: ['colourScheme', 'maxWidth', 'primaryFullBleed', 'sectionStyleBottom', 'sectionStyleTop', 'spaceBelow']
    })
], BiggivePageSection);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggivePageSection, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-page-section',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['colourScheme', 'maxWidth', 'primaryFullBleed', 'sectionStyleBottom', 'sectionStyleTop', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggivePopup = class BiggivePopup {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggivePopup, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggivePopup, selector: "biggive-popup", inputs: { modalClosedCallback: "modalClosedCallback" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggivePopup = __decorate([
    ProxyCmp({
        inputs: ['modalClosedCallback'],
        methods: ['openFromOutside', 'closeFromOutside']
    })
], BiggivePopup);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggivePopup, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-popup',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['modalClosedCallback'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveProgressBar = class BiggiveProgressBar {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveProgressBar, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveProgressBar, selector: "biggive-progress-bar", inputs: { colourScheme: "colourScheme", counter: "counter", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveProgressBar = __decorate([
    ProxyCmp({
        inputs: ['colourScheme', 'counter', 'spaceBelow']
    })
], BiggiveProgressBar);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveProgressBar, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-progress-bar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['colourScheme', 'counter', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveQuote = class BiggiveQuote {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveQuote, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveQuote, selector: "biggive-quote", inputs: { attribution: "attribution", defaultTextColour: "defaultTextColour", quote: "quote", quoteIconColour: "quoteIconColour", siteDesign: "siteDesign", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveQuote = __decorate([
    ProxyCmp({
        inputs: ['attribution', 'defaultTextColour', 'quote', 'quoteIconColour', 'siteDesign', 'spaceBelow']
    })
], BiggiveQuote);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveQuote, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-quote',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['attribution', 'defaultTextColour', 'quote', 'quoteIconColour', 'siteDesign', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveSheet = class BiggiveSheet {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveSheet, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveSheet, selector: "biggive-sheet", inputs: { backgroundColour: "backgroundColour", sheetId: "sheetId", textColour: "textColour" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveSheet = __decorate([
    ProxyCmp({
        inputs: ['backgroundColour', 'sheetId', 'textColour']
    })
], BiggiveSheet);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveSheet, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-sheet',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['backgroundColour', 'sheetId', 'textColour'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveSocialIcon = class BiggiveSocialIcon {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveSocialIcon, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveSocialIcon, selector: "biggive-social-icon", inputs: { backgroundColour: "backgroundColour", iconColour: "iconColour", labelPrefix: "labelPrefix", service: "service", url: "url", wide: "wide" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveSocialIcon = __decorate([
    ProxyCmp({
        inputs: ['backgroundColour', 'iconColour', 'labelPrefix', 'service', 'url', 'wide']
    })
], BiggiveSocialIcon);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveSocialIcon, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-social-icon',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['backgroundColour', 'iconColour', 'labelPrefix', 'service', 'url', 'wide'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveTab = class BiggiveTab {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTab, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveTab, selector: "biggive-tab", inputs: { tabTitle: "tabTitle" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveTab = __decorate([
    ProxyCmp({
        inputs: ['tabTitle']
    })
], BiggiveTab);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTab, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-tab',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['tabTitle'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveTabbedContent = class BiggiveTabbedContent {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTabbedContent, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveTabbedContent, selector: "biggive-tabbed-content", inputs: { buttonBackgroundColour: "buttonBackgroundColour", buttonIconColour: "buttonIconColour", navigationHighlightColour: "navigationHighlightColour", selectedNavigationHighlightColour: "selectedNavigationHighlightColour", selectedTextColour: "selectedTextColour", spaceBelow: "spaceBelow", textColour: "textColour" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveTabbedContent = __decorate([
    ProxyCmp({
        inputs: ['buttonBackgroundColour', 'buttonIconColour', 'navigationHighlightColour', 'selectedNavigationHighlightColour', 'selectedTextColour', 'spaceBelow', 'textColour']
    })
], BiggiveTabbedContent);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTabbedContent, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-tabbed-content',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['buttonBackgroundColour', 'buttonIconColour', 'navigationHighlightColour', 'selectedNavigationHighlightColour', 'selectedTextColour', 'spaceBelow', 'textColour'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveTable = class BiggiveTable {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTable, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveTable, selector: "biggive-table", inputs: { bodyBackgroundColour: "bodyBackgroundColour", bodyTextColour: "bodyTextColour", headerBackgroundColour: "headerBackgroundColour", headerTextColour: "headerTextColour", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveTable = __decorate([
    ProxyCmp({
        inputs: ['bodyBackgroundColour', 'bodyTextColour', 'headerBackgroundColour', 'headerTextColour', 'spaceBelow']
    })
], BiggiveTable);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTable, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-table',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['bodyBackgroundColour', 'bodyTextColour', 'headerBackgroundColour', 'headerTextColour', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveTextInput = class BiggiveTextInput {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTextInput, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveTextInput, selector: "biggive-text-input", inputs: { currency: "currency", selectStyle: "selectStyle", siteDesign: "siteDesign", spaceBelow: "spaceBelow", value: "value" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveTextInput = __decorate([
    ProxyCmp({
        inputs: ['currency', 'selectStyle', 'siteDesign', 'spaceBelow', 'value']
    })
], BiggiveTextInput);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTextInput, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-text-input',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['currency', 'selectStyle', 'siteDesign', 'spaceBelow', 'value'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveTimeline = class BiggiveTimeline {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTimeline, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveTimeline, selector: "biggive-timeline", inputs: { buttonBackgroundColour: "buttonBackgroundColour", buttonIconColour: "buttonIconColour", entryBackgroundColour: "entryBackgroundColour", entryDateColour: "entryDateColour", entryHighlightColour: "entryHighlightColour", entryTextColour: "entryTextColour", entryTitleColour: "entryTitleColour", navigationHighlightColour: "navigationHighlightColour", selectedNavigationHighlightColour: "selectedNavigationHighlightColour", selectedTextColour: "selectedTextColour", spaceBelow: "spaceBelow", textColour: "textColour" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveTimeline = __decorate([
    ProxyCmp({
        inputs: ['buttonBackgroundColour', 'buttonIconColour', 'entryBackgroundColour', 'entryDateColour', 'entryHighlightColour', 'entryTextColour', 'entryTitleColour', 'navigationHighlightColour', 'selectedNavigationHighlightColour', 'selectedTextColour', 'spaceBelow', 'textColour']
    })
], BiggiveTimeline);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTimeline, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-timeline',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['buttonBackgroundColour', 'buttonIconColour', 'entryBackgroundColour', 'entryDateColour', 'entryHighlightColour', 'entryTextColour', 'entryTitleColour', 'navigationHighlightColour', 'selectedNavigationHighlightColour', 'selectedTextColour', 'spaceBelow', 'textColour'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveTimelineEntry = class BiggiveTimelineEntry {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTimelineEntry, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveTimelineEntry, selector: "biggive-timeline-entry", inputs: { date: "date", heading: "heading" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveTimelineEntry = __decorate([
    ProxyCmp({
        inputs: ['date', 'heading']
    })
], BiggiveTimelineEntry);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTimelineEntry, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-timeline-entry',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['date', 'heading'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveTotalizer = class BiggiveTotalizer {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTotalizer, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveTotalizer, selector: "biggive-totalizer", inputs: { mainMessage: "mainMessage", primaryColour: "primaryColour", primaryTextColour: "primaryTextColour", secondaryColour: "secondaryColour", secondaryTextColour: "secondaryTextColour", spaceBelow: "spaceBelow" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveTotalizer = __decorate([
    ProxyCmp({
        inputs: ['mainMessage', 'primaryColour', 'primaryTextColour', 'secondaryColour', 'secondaryTextColour', 'spaceBelow']
    })
], BiggiveTotalizer);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTotalizer, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-totalizer',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['mainMessage', 'primaryColour', 'primaryTextColour', 'secondaryColour', 'secondaryTextColour', 'spaceBelow'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveTotalizerTickerItem = class BiggiveTotalizerTickerItem {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTotalizerTickerItem, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveTotalizerTickerItem, selector: "biggive-totalizer-ticker-item", inputs: { figure: "figure", label: "label" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveTotalizerTickerItem = __decorate([
    ProxyCmp({
        inputs: ['figure', 'label']
    })
], BiggiveTotalizerTickerItem);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveTotalizerTickerItem, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-totalizer-ticker-item',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['figure', 'label'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveVideo = class BiggiveVideo {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveVideo, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveVideo, selector: "biggive-video", inputs: { spaceAbove: "spaceAbove", spaceBelow: "spaceBelow", videoUrl: "videoUrl" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveVideo = __decorate([
    ProxyCmp({
        inputs: ['spaceAbove', 'spaceBelow', 'videoUrl']
    })
], BiggiveVideo);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveVideo, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-video',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['spaceAbove', 'spaceBelow', 'videoUrl'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let BiggiveVideoFeature = class BiggiveVideoFeature {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveVideoFeature, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: BiggiveVideoFeature, selector: "biggive-video-feature", inputs: { buttonColourScheme: "buttonColourScheme", buttonLabel: "buttonLabel", buttonUrl: "buttonUrl", defaultTextColour: "defaultTextColour", mainTitle: "mainTitle", mainTitleColour: "mainTitleColour", slug: "slug", slugColour: "slugColour", spaceAbove: "spaceAbove", spaceBelow: "spaceBelow", teaser: "teaser", teaserColour: "teaserColour", videoUrl: "videoUrl" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
BiggiveVideoFeature = __decorate([
    ProxyCmp({
        inputs: ['buttonColourScheme', 'buttonLabel', 'buttonUrl', 'defaultTextColour', 'mainTitle', 'mainTitleColour', 'slug', 'slugColour', 'spaceAbove', 'spaceBelow', 'teaser', 'teaserColour', 'videoUrl']
    })
], BiggiveVideoFeature);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: BiggiveVideoFeature, decorators: [{
            type: Component,
            args: [{
                    selector: 'biggive-video-feature',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['buttonColourScheme', 'buttonLabel', 'buttonUrl', 'defaultTextColour', 'mainTitle', 'mainTitleColour', 'slug', 'slugColour', 'spaceAbove', 'spaceBelow', 'teaser', 'teaserColour', 'videoUrl'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PhilcoFooter = class PhilcoFooter {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: PhilcoFooter, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: PhilcoFooter, selector: "philco-footer", inputs: { headingLevel: "headingLevel", philcoUrlPrefix: "philcoUrlPrefix" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
PhilcoFooter = __decorate([
    ProxyCmp({
        inputs: ['headingLevel', 'philcoUrlPrefix']
    })
], PhilcoFooter);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: PhilcoFooter, decorators: [{
            type: Component,
            args: [{
                    selector: 'philco-footer',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['headingLevel', 'philcoUrlPrefix'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PhilcoMainMenu = class PhilcoMainMenu {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['logoutClicked']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: PhilcoMainMenu, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.13", type: PhilcoMainMenu, selector: "philco-main-menu", inputs: { philcoUrlPrefix: "philcoUrlPrefix" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
PhilcoMainMenu = __decorate([
    ProxyCmp({
        inputs: ['philcoUrlPrefix'],
        methods: ['closeMobileMenuFromOutside']
    })
], PhilcoMainMenu);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: PhilcoMainMenu, decorators: [{
            type: Component,
            args: [{
                    selector: 'philco-main-menu',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['philcoUrlPrefix'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });

const DIRECTIVES = [
    BiggiveAccordion,
    BiggiveAccordionEntry,
    BiggiveArticleCard,
    BiggiveBackToTop,
    BiggiveBasicCard,
    BiggiveBiographyCard,
    BiggiveBoxedContent,
    BiggiveBrandedImage,
    BiggiveButton,
    BiggiveCallToAction,
    BiggiveCampaignCard,
    BiggiveCampaignCardFilterGrid,
    BiggiveCampaignHighlights,
    BiggiveContainerCard,
    BiggiveCookieBanner,
    BiggiveFooter,
    BiggiveForm,
    BiggiveFormFieldSelect,
    BiggiveFormattedText,
    BiggiveGrid,
    BiggiveHeading,
    BiggiveHeroImage,
    BiggiveIconButton,
    BiggiveImage,
    BiggiveImageButton,
    BiggiveImageCard,
    BiggiveImageFeature,
    BiggiveMainMenu,
    BiggiveMiscIcon,
    BiggiveNavGroup,
    BiggiveNavItem,
    BiggivePageColumn,
    BiggivePageColumns,
    BiggivePageSection,
    BiggivePopup,
    BiggiveProgressBar,
    BiggiveQuote,
    BiggiveSheet,
    BiggiveSocialIcon,
    BiggiveTab,
    BiggiveTabbedContent,
    BiggiveTable,
    BiggiveTextInput,
    BiggiveTimeline,
    BiggiveTimelineEntry,
    BiggiveTotalizer,
    BiggiveTotalizerTickerItem,
    BiggiveVideo,
    BiggiveVideoFeature,
    PhilcoFooter,
    PhilcoMainMenu
];

class ComponentsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.13", ngImport: i0, type: ComponentsModule, declarations: [BiggiveAccordion, BiggiveAccordionEntry, BiggiveArticleCard, BiggiveBackToTop, BiggiveBasicCard, BiggiveBiographyCard, BiggiveBoxedContent, BiggiveBrandedImage, BiggiveButton, BiggiveCallToAction, BiggiveCampaignCard, BiggiveCampaignCardFilterGrid, BiggiveCampaignHighlights, BiggiveContainerCard, BiggiveCookieBanner, BiggiveFooter, BiggiveForm, BiggiveFormFieldSelect, BiggiveFormattedText, BiggiveGrid, BiggiveHeading, BiggiveHeroImage, BiggiveIconButton, BiggiveImage, BiggiveImageButton, BiggiveImageCard, BiggiveImageFeature, BiggiveMainMenu, BiggiveMiscIcon, BiggiveNavGroup, BiggiveNavItem, BiggivePageColumn, BiggivePageColumns, BiggivePageSection, BiggivePopup, BiggiveProgressBar, BiggiveQuote, BiggiveSheet, BiggiveSocialIcon, BiggiveTab, BiggiveTabbedContent, BiggiveTable, BiggiveTextInput, BiggiveTimeline, BiggiveTimelineEntry, BiggiveTotalizer, BiggiveTotalizerTickerItem, BiggiveVideo, BiggiveVideoFeature, PhilcoFooter, PhilcoMainMenu], imports: [CommonModule], exports: [BiggiveAccordion, BiggiveAccordionEntry, BiggiveArticleCard, BiggiveBackToTop, BiggiveBasicCard, BiggiveBiographyCard, BiggiveBoxedContent, BiggiveBrandedImage, BiggiveButton, BiggiveCallToAction, BiggiveCampaignCard, BiggiveCampaignCardFilterGrid, BiggiveCampaignHighlights, BiggiveContainerCard, BiggiveCookieBanner, BiggiveFooter, BiggiveForm, BiggiveFormFieldSelect, BiggiveFormattedText, BiggiveGrid, BiggiveHeading, BiggiveHeroImage, BiggiveIconButton, BiggiveImage, BiggiveImageButton, BiggiveImageCard, BiggiveImageFeature, BiggiveMainMenu, BiggiveMiscIcon, BiggiveNavGroup, BiggiveNavItem, BiggivePageColumn, BiggivePageColumns, BiggivePageSection, BiggivePopup, BiggiveProgressBar, BiggiveQuote, BiggiveSheet, BiggiveSocialIcon, BiggiveTab, BiggiveTabbedContent, BiggiveTable, BiggiveTextInput, BiggiveTimeline, BiggiveTimelineEntry, BiggiveTotalizer, BiggiveTotalizerTickerItem, BiggiveVideo, BiggiveVideoFeature, PhilcoFooter, PhilcoMainMenu] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentsModule, providers: [
            {
                provide: APP_INITIALIZER,
                useFactory: () => defineCustomElements,
                multi: true,
            },
        ], imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.13", ngImport: i0, type: ComponentsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [...DIRECTIVES],
                    exports: [...DIRECTIVES],
                    providers: [
                        {
                            provide: APP_INITIALIZER,
                            useFactory: () => defineCustomElements,
                            multi: true,
                        },
                    ],
                }]
        }] });

/*
 * Public API Surface of components
 */
// Directives

/**
 * Generated bundle index. Do not edit.
 */

export { BiggiveAccordion, BiggiveAccordionEntry, BiggiveArticleCard, BiggiveBackToTop, BiggiveBasicCard, BiggiveBiographyCard, BiggiveBoxedContent, BiggiveBrandedImage, BiggiveButton, BiggiveCallToAction, BiggiveCampaignCard, BiggiveCampaignCardFilterGrid, BiggiveCampaignHighlights, BiggiveContainerCard, BiggiveCookieBanner, BiggiveFooter, BiggiveForm, BiggiveFormFieldSelect, BiggiveFormattedText, BiggiveGrid, BiggiveHeading, BiggiveHeroImage, BiggiveIconButton, BiggiveImage, BiggiveImageButton, BiggiveImageCard, BiggiveImageFeature, BiggiveMainMenu, BiggiveMiscIcon, BiggiveNavGroup, BiggiveNavItem, BiggivePageColumn, BiggivePageColumns, BiggivePageSection, BiggivePopup, BiggiveProgressBar, BiggiveQuote, BiggiveSheet, BiggiveSocialIcon, BiggiveTab, BiggiveTabbedContent, BiggiveTable, BiggiveTextInput, BiggiveTimeline, BiggiveTimelineEntry, BiggiveTotalizer, BiggiveTotalizerTickerItem, BiggiveVideo, BiggiveVideoFeature, ComponentsModule, PhilcoFooter, PhilcoMainMenu };
//# sourceMappingURL=biggive-components-angular.mjs.map
